\name{geneSet2Ped}
\alias{geneSet2Ped}
\title{Translate a geneSet object to a ped matrix}
\description{
  Translate a geneSet object to a ped matrix.
}
\usage{
  geneSet2Ped(geneSetObject)
}
\arguments{
  \item{geneSetObject}{an object of geneSet class}
}
\value{
  \item{ped}{pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual.}
  \item{columns}{names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","
sex","affected") or equal to c("family","pid","father","mother","sex")}
}
\examples{
  data(CAMP)
  res<-geneSet2Ped(CAMP)
  ped<-res$ped
  columns<-res$columns
}
\keyword{htest}

