\name{pedAFreq}
\alias{pedAFreq}
\alias{pedAFreq.default}
\title{get allele frequencies}
\description{
Get allele frequencies (missing alleles allowed).
}
\usage{
pedAFreq(geneSetObj, founderOnly=TRUE, quiet=FALSE)

pedAFreq.default(ped, 
         columns=c("family","pid","father","mother","sex","affected"),
         founderOnly=TRUE,
         quiet=FALSE)
}
\arguments{
  \item{geneSetObj}{a \code{geneSet} object.}
  \item{ped}{pedigree data frame whose first 6 columns are pid (pedigree id), id (individual id), fid (father id), mid (mother id), sex, aff (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual.}
  \item{columns}{names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affect") or equal to c("family","pid","father","mother","sex")}
  \item{founderOnly}{indicates if using only founder info}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\value{
  \item{aFreqMat}{allele frequencies.}
  \item{aPercMat}{allele percentages.}
}
\author{Weiliang Qiu \email{stwxq@channing.harvard.edu}, Ross Lazarus \email{ross.lazarus@channing.harvard.edu}}
\examples{
  data(CAMP)
  res<-pedAFreq(CAMP)
  res$aFreqMat
  res$aPercMat
}
\keyword{htest}

