\name{pedGFreq}
\alias{pedGFreq}
\alias{pedGFreq.default}
\title{get genotype frequencies}
\description{
Get genotype frequencies (missing alleles allowed).
}
\usage{
pedGFreq(geneSetObj, founderOnly=TRUE, quiet=FALSE)

pedGFreq.default(ped, 
         columns=c("family","pid","father","mother","sex","affected"),
         founderOnly=TRUE,
         quiet=FALSE)
}
\arguments{
  \item{geneSetObj}{a \code{geneSet} object.}
  \item{ped}{pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual.}
  \item{columns}{names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex")}
  \item{founderOnly}{indicates if using only founder info}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\value{
  \item{gFreqMat}{genotype frequencies.}
  \item{gPercMat}{genotype percentages.}
}
\author{Weiliang Qiu \email{stwxq@channing.harvard.edu}, Ross Lazarus \email{ross.lazarus@channing.harvard.edu}}
\examples{
  data(CAMP)
  res<-pedGFreq(CAMP)
  res$gFreqMat
  res$gPercMat
}
\keyword{htest}

